Skip to main content
`Ctrl`+`K`

# MatScaLAPACKSetBlockSizes

Sets the block sizes to be used for the distribution of the `MATSCALAPACK` matrix

## Synopsis

    #include "petscmat.h"
    PetscErrorCode MatScaLAPACKSetBlockSizes(Mat A, PetscInt mb, PetscInt nb)

Logically Collective

## Input Parameters

- A - a `MATSCALAPACK` matrix

- mb - the row block size

- nb - the column block size

## Note

This block size has a different meaning from the block size associated with `MatSetBlockSize()` used for sparse matrices

## See Also

Matrices, `Mat`, `MATSCALAPACK`, `MatCreateScaLAPACK()`, `MatScaLAPACKGetBlockSizes()`

## Level

intermediate

## Location

src/mat/impls/scalapack/matscalapack.c

## Implementations

MatScaLAPACKSetBlockSizes_ScaLAPACK() in src/mat/impls/scalapack/matscalapack.c

Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages